package ru.amse.timkina.archiver.ui.table.viewobjects;

public class SizeConverter implements ISizeConverter {
	public static final SizeConverter SIZECONVERTER = new SizeConverter();
	
	private SizeConverter() {		
	}    
	
	public String sizeAnalyse(long size) {
		float converted = size;
		if ((0 <= size) && (size <= 1023)) {
			return (int) converted + "";
		} else if (size <= (1 << 20)){
			converted = (float)(long) (100 * converted / 1024) / 100 ;
			return converted + " kB";
		} else {
			converted = (float)(long) (100 * converted / 1024 / 1024) / 100 ;
			return converted + " MB";
		}
		
	}

}
