package ru.amse.timkina.archiver.ui.menu;

import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import ru.amse.timkina.archiver.ui.table.MainTableModel;


public class SelectionListener implements ItemListener  {
	private final MainTableModel myModel;
	private final int myNum;
	
	public SelectionListener(MainTableModel model, int num) {
		myModel = model;
		myNum = num;
	}

    public void itemStateChanged(ItemEvent e) {  	
        if (e.getStateChange() == ItemEvent.SELECTED) {
        	myModel.setColumnVisibility(myNum, true);        	
        }
        else {
        	myModel.setColumnVisibility(myNum, false);
        }
    }
}
